WordPress.org

Make WordPress Themes

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#11011 closed theme (not-approved)

THEME: Persona - 1.0.0

Reported by: thememakr Owned by: SriniG
Priority: Keywords: theme-persona
Cc: hello@…

Description

Persona - 1.0.0

A free, minimalistic theme that's perfect for shining the spotlight on the individual blogger

Theme URL -
Author URL - http://www.thememakr.com/

SVN - http://themes.svn.wordpress.org/persona/1.0.0
ZIP - http://wordpress.org/extend/themes/download/persona.1.0.0.zip?nostats=1

All previous tickets for this theme: http://themes.trac.wordpress.org/query?keywords=~theme-persona

https://themes.svn.wordpress.org/persona/1.0.0/screenshot.png

Attachments (4)

11011_post-format-audio.png (168.4 KB) - added by SriniG 5 years ago.
11011_post-format-video.png (284.5 KB) - added by SriniG 5 years ago.
11011_page-with-comments-disabled.png (141.9 KB) - added by SriniG 5 years ago.
11011_image-attachment-page.png (414.6 KB) - added by SriniG 5 years ago.

Download all attachments as: .zip

Change History (7)

#1 @SriniG
5 years ago

  • Owner set to SriniG
  • Status changed from new to assigned

#2 @SriniG
5 years ago

  • Resolution set to not-approved
  • Status changed from assigned to closed

Required

Please fix the following issues.

  • Found in readme.txt: "Persona is distributed under the terms of the GNU GPL 2". The theme uses Bootstrap.js v2.2.2, licensed under Apache License Version 2.0. The Apache 2.0 license is GPL-compatible, but only with version 3.0 of the GPL. Works that are either GPLv2.0 or GPLv3.0 are appropriate to be hosted in the Theme directory, so that's not a problem; however, works that incorporate or bundle Apache 2.0 works must use either unversioned GPL, or GPLv3.0 explicitly. See Licensing Note: Apache and GPL.
  • Invalid use of HTML tags: Element h1 not allowed as child of element span.
  • Unprefixed custom constants defined in functions.php, framework/setup.php. Themes are required to prefix all options, custom functions, custom variables, and custom constants with theme-slug (or appropriate variant).
  • functions.php, line 116, 117. Themes are required to include within the Theme all images, scripts, and other bundled resources. Such resources must not be "hotlinked" from a third-party site. (Note: API calls, e.g. Google libraries, are acceptable.)
  • Problems with the multi level navigation menu. If a first level menu item has children, there is no way to click and go to the page linked by the first level parent item. Clicking on the first level parent item only toggles the display of second level items. Second level parent items work fine.
  • Improper implementation of audio and video post formats. The custom player simply doesn't work, moreover it's redundant. (screenshots: audio, video)
  • Attachment page issue: An image attachment page shows a few thumbnails of images from the same gallery, but doesn't show the actual image under question in full content width. (screenshot)
  • Page with comments disabled should not show the "SORRY, BUT COMMENTS ARE CLOSED NOW" message. (screenshot)

Review Summary

  • Issues listed under 'Required' must be fixed before the theme can be approved
  • Current resolution: not-approved

#3 @SriniG
5 years ago

Theme author, thanks for your submission. Make use of these resources before you submit your next version.

Note: See TracTickets for help on using tickets.